ExchainDocs
DocsAPI

APIPublicGet the DID document

Get the DID document

DID document with the guard-receipt key.

GET
/.well-known/did.json

The DID document of did:web:<host> with the journal key #journal (Ed25519, JsonWebKey2020). Guard receipts and bound statements verify against it offline.

Response Body

DID document.

application/json
  1. response

DID document of did:web:<host>. No envelope.

@context*array<string>
id*string
verificationMethod*array<>
assertionMethod*array<string>
Example Request
curl -X GET 'https://cosign.exchain.network/.well-known/did.json'
Example Response200
{  "@context": [    "https://www.w3.org/ns/did/v1",    "https://w3id.org/security/suites/jws-2020/v1"  ],  "id": "did:web:cosign.exchain.network",  "verificationMethod": [    {      "id": "did:web:cosign.exchain.network#journal",      "type": "JsonWebKey2020",      "controller": "did:web:cosign.exchain.network",      "publicKeyJwk": {        "kty": "OKP",        "crv": "Ed25519",        "x": "mHbFkKPgQv-ZIJvQPBHJIStP_7VXT6PCgIwfjxRA3BE"      }    }  ],  "assertionMethod": [    "did:web:cosign.exchain.network#journal"  ]}